> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleo-pay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> GET /v1/webhook-endpoints/{webhookEndpointId}/deliveries lists an endpoint's deliveries, newest first, with attempts, responses and the exact signed body.

```
GET /v1/webhook-endpoints/{webhookEndpointId}/deliveries
```

**Scope:** `webhooks:read`

<ParamField path="webhookEndpointId" type="string" required>The endpoint.</ParamField>

<ParamField query="page" type="integer" default="1" />

<ParamField query="pageSize" type="integer" default="25">1 to 100.</ParamField>

## Response

`200` with `{ items, totalCount }`, newest first.

<ResponseField name="id" type="string">The delivery id. It matches the `Cleo-Webhook-Id` header.</ResponseField>

<ResponseField name="status" type="string">
  `pending`, `delivering`, `succeeded`, `failed` (an attempt failed and retries remain) or `dead` (retries are used up).
</ResponseField>

<ResponseField name="attemptCount" type="integer" />

<ResponseField name="maxAttempts" type="integer" />

<ResponseField name="nextAttemptAt" type="string | null" />

<ResponseField name="lastAttemptAt" type="string | null" />

<ResponseField name="succeededAt" type="string | null" />

<ResponseField name="deadAt" type="string | null" />

<ResponseField name="lastResponseCode" type="integer | null" />

<ResponseField name="lastResponseBody" type="string | null">The start of your endpoint's last response body.</ResponseField>

<ResponseField name="lastError" type="string | null" />

<ResponseField name="requestBody" type="string">The exact signed body sent.</ResponseField>
<ResponseField name="redeliveryOfId" type="string | null">The delivery this one redelivers.</ResponseField>

<ResponseField name="createdAt" type="string" />


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.